Favicon

You are here: Home > API Reference > Organization Oem Users > Create OEM-provisioned user

POST /organizations/:organizationId/oem/users/

Create a new OEM-provisioned user for the organization. Returns the new collaborator and the new OEM secret.

POST
/v1/organizations/:organizationId/oem/users/
Copy to clipboard

Create OEM-provisioned user

Create a new OEM-provisioned user for the organization. Returns the new collaborator and the new OEM secret.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
Body Params application/json
email string required
≤ 256 characters · Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
{
    "email": "[email protected]",
    "firstName": "string",
    "lastName": "string"
}

Responses

200 Response application/json
status boolean required
data object required
collaborator object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
role string required
owner admin editor viewer unassigned
tags array required
user object optional
id string required
Match pattern: ^[a-fA-F0-9]{24}$
email string required
≤ 256 characters · Match pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ · Format: email
firstName string required
≤ 128 characters
lastName string required
≤ 128 characters
picture string optional
role string required
admin adminViewer user serviceAccount platformUser platformServiceAccount
ssoUser any required
detected object required
createdBy string required
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
createdAt string required
oemSecret string required
{
    "status": true,
    "data": {
        "collaborator": {
            "id": "string",
            "organization": "string",
            "role": "owner",
            "tags": [
                "string"
            ],
            "user": {
                "id": "string",
                "email": "[email protected]",
                "firstName": "string",
                "lastName": "string",
                "picture": "string",
                "role": "admin",
                "ssoUser": true
            },
            "detected": {},
            "createdBy": "string",
            "updatedAt": "string",
            "createdAt": "string"
        },
        "oemSecret": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5203
message string optional
Only allow for organization owner
{
    "status": false,
    "error": {
        "code": 5187,
        "message": "Feature block by platform configuration"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}